cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Helper I
Helper I

App cannot be edited with this version of Power Apps

Hi guys,

 

Basically, I have 2 environments created, one hosted in the south america park (Environment 1) and the other in the US park (Environment 2).
I created the App in environment 1 and I'm trying to migrate the package to environment 2, For this process I used both, the export/import package process and the process of saving the file locally and trying to open it in the target environment, but in both cases the error continues:

 

image.png

 

They are in the same Tenant and I have tried the workarrounds below without success:

https://powerusers.microsoft.com/t5/Power-Apps-Governance-and/App-cannot-be-edited-with-this-version...

https://powerusers.microsoft.com/t5/Building-Power-Apps/App-cannot-be-edited-with-this-version-of-Po...

 

I have checked the environments and they are with different versions:

 

image.png

1 ACCEPTED SOLUTION

Accepted Solutions
Community Support
Community Support

Hi @demarchiori ,

Which Type of your Environment 1 and Environment 2?

 

Based on the issue that you mentioned, I think this issue is related to PowerApps version. When you develop an app within high version of PowerApps, you should run it in same version or higher version of PowerApps in another Environment rather than lower version of PowerApps.

 

Please make sure the Environment1 and Environment 2 belong to same Environment Type (e.g. Production). Also please consider turn on the "2020 release wave 1" option for both Environment instance in your Power Platform Admin Center:

6.JPG

 

Best regards,

Community Support Team _ Kris Dai
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

View solution in original post

1 REPLY 1
Community Support
Community Support

Hi @demarchiori ,

Which Type of your Environment 1 and Environment 2?

 

Based on the issue that you mentioned, I think this issue is related to PowerApps version. When you develop an app within high version of PowerApps, you should run it in same version or higher version of PowerApps in another Environment rather than lower version of PowerApps.

 

Please make sure the Environment1 and Environment 2 belong to same Environment Type (e.g. Production). Also please consider turn on the "2020 release wave 1" option for both Environment instance in your Power Platform Admin Center:

6.JPG

 

Best regards,

Community Support Team _ Kris Dai
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

View solution in original post

Helpful resources

Announcements
New Badges

New Solution Badges!

Check out our new profile badges recognizing authored solutions!

New Power Super Users

Congratulations!

We are excited to announce the Power Apps Super Users!

Power Apps Community Call

Power Apps Community Call: February

Did you miss the call? Check out the Power Apps Community Call here.

Microsoft Ignite

Microsoft Ignite

Join digitally, March 2–4, 2021 to explore new tech that's ready to implement. Experience the keynote in mixed reality through AltspaceVR!

Top Solution Authors
Top Kudoed Authors
Users online (62,149)